LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XEntityResolver Interface Referencepublished

makes it possible to modify the behavior of resolving external preferences. More...

`import"XEntityResolver.idl";`

Inheritance diagram for XEntityResolver:

## Public Member Functions
InputSource | resolveEntity ([in] string sPublicId, [in] string sSystemId)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to modify the behavior of resolving external preferences.

Usually, the parser has a default behavior of resolving external references (See documentation of the parser implementation). Use this interface to modify or reimplement this behavior.

## Member Function Documentation

InputSource resolveEntity | ( | [in] string | sPublicId,
|  | [in] string | sSystemId
| ) |  |

Returns
  InputSource for the external entity.

If aInputStream is a valid reference to an input stream, the parser uses this InputSource. Otherwise the parser seeks for the entity using its default behavior.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XEntityResolver.idl